Welcome, Guest. Please login or register.

Author Topic: Upgrade from 1.5 to 1.6  (Read 345 times)

pc_sg

  • Sr. Member
  • ****
  • Posts: 258
    • View Profile
Upgrade from 1.5 to 1.6
« on: October 18, 2017, 11:30:29 AM »
Tested yesterday an upgrade from 1.5 to 1.6 on a "test" machine (Debian 9), where 1.5 was running fine.
"System - Files" procedure don't work. Choosed local file (freshly downloaded nedi-1.6C.tgz), then Execute button, but nothing happens at all.
Tested with Chrome, even in Incognito mode to avoid addons interference, without success. The same with IE 11.
So I did a overwrite of NeDi folder with the ones in downloaded file, reinitialized database with "./nedi.pl -i user pwd" procedure.
Now seems OK, but If I choose "System - Files", browser try do download "System-Files.php".
Tried to do what is done by "nebuntu.sh", firstly only the "apt" line (with some errors) the the whole script. No success.
Maybe something is not fully compatible in Debian compared with Ubuntu.
I can uninstall and reinstall all in this Debian machine (any script or procedure to make it like a fresh instaled Debian?), but can't start from scratch.


Any advice?


Thanks in advance!


rickli

  • Administrator
  • Hero Member
  • *****
  • Posts: 2558
    • View Profile
    • NeDi
Re: Upgrade from 1.5 to 1.6
« Reply #1 on: October 20, 2017, 02:01:04 PM »
If you use nginx, you need to make sure that rule for .php is in place. Shouldn't really matter whether it's on Debian or Ubuntu...

There might be diffeences in package names, so you'd need to find the correct ones for Debian. Look at the script in a text editor to see what it does step by step...
Please consider Other-Invoices on your NeDi installation for an annual contribution, tx!
-Remo

pc_sg

  • Sr. Member
  • ****
  • Posts: 258
    • View Profile
Re: Upgrade from 1.5 to 1.6
« Reply #2 on: October 20, 2017, 02:07:18 PM »
Thanks for your answer!
I'l do something in next days, using some spare time.

Anyway, which is the cause of missing update using "System - Files" procedure?
How can I find the cause?

I like to upgrade the "production" NeDi installation, but I'm afraid of possible conseguence and lost of historical data.

Thanks again!

rickli

  • Administrator
  • Hero Member
  • *****
  • Posts: 2558
    • View Profile
    • NeDi
Re: Upgrade from 1.5 to 1.6
« Reply #3 on: October 20, 2017, 05:00:36 PM »
In /etc/nginx/sites-enabled/default you should have a section like this:
  location ~ \.php$ {
      fastcgi_split_path_info ^(.+\.php)(/.+)$;
      fastcgi_param SCRIPT_FILENAME   $document_root$fastcgi_script_name;
      fastcgi_param QUERY_STRING      $query_string;
      fastcgi_param REMOTE_ADDR       $remote_addr;

      include        fastcgi_params;
      fastcgi_pass unix:/var/run/php/php7.0-fpm.sock;
      fastcgi_buffering off;
  }
Please consider Other-Invoices on your NeDi installation for an annual contribution, tx!
-Remo

pc_sg

  • Sr. Member
  • ****
  • Posts: 258
    • View Profile
Re: Upgrade from 1.5 to 1.6
« Reply #4 on: October 23, 2017, 08:56:11 AM »

Mine:


  location ~ \.php$ {
      fastcgi_split_path_info ^(.+\.php)(/.+)$;
      fastcgi_param SCRIPT_FILENAME   $document_root$fastcgi_script_name;
      fastcgi_param QUERY_STRING              $query_string;
      fastcgi_param REMOTE_ADDR               $remote_addr;
     
      include        fastcgi_params;
      fastcgi_pass unix:/var/run/php/php7.1-fpm.sock;
      fastcgi_buffering off;
   }


But after a search in the forum about PHP, I found this thread [size=78%]https://forum.nedi.ch/index.php?topic=2066.0[/size]
Than I changed 7.1 to 7.0 in configuration files (not in script) and now seems OK.
Now 1.6 is running both under Apache and nginx, (http and https) even this is a little confusing. Luckily "System - Files" procedure now don't show browser download window any more.


I'll look for a smooth upgrade procedure. I can't (and don't want) to migrate from Debian to Ubuntu and/or do reinstallations from scratch.


Anyway, don't worry for me. I'm (we are) not a paying client. My company is too huge for caring the opinion of a "low level" technician like me, so for the moment I can't convince them to subscribe...
Maybe soon I'll change my assignment and so the duty will be for another one.


Thanks a lot anyway!




rickli

  • Administrator
  • Hero Member
  • *****
  • Posts: 2558
    • View Profile
    • NeDi
Re: Upgrade from 1.5 to 1.6
« Reply #5 on: October 24, 2017, 11:54:27 AM »
Well, thanks for trying. You're not alone, but I'm still happy to make a networker's life easier with the free version of NeDi :)
Please consider Other-Invoices on your NeDi installation for an annual contribution, tx!
-Remo

pc_sg

  • Sr. Member
  • ****
  • Posts: 258
    • View Profile
Re: Upgrade from 1.5 to 1.6
« Reply #6 on: October 25, 2017, 08:11:48 AM »
I'll be never able to thank you enough for this! ;D

ntmark

  • Full Member
  • ***
  • Posts: 136
    • View Profile
    • tvnz.co.nz
Re: Upgrade from 1.5 to 1.6
« Reply #7 on: November 08, 2017, 08:32:47 PM »
Anyway, don't worry for me. I'm (we are) not a paying client. My company is too huge for caring the opinion of a "low level" technician like me, so for the moment I can't convince them to subscribe...

I had the same problem here, so when we stopped paying for another unrelated piece of software I managed to get them to add Nedi into the budget.
It did take some years, but it's nice to have the latest version with fixes, updates and new features.